import { jsx } from "react/jsx-runtime";
import { HouseIcon } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const House = forwardRef(
  ({ variant = "regular", ...props }, forwardedRef) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref: forwardedRef, "data-name": "House", ...props, children: /* @__PURE__ */ jsx(HouseIcon, { weight: variant }) });
  }
);
House.displayName = "House";
Object.assign(House, { isGdsIcon: true });
export {
  House
};
